Skip to main content
`Ctrl`+`K`

# numpy.char.translate

char.translate(a, table, deletechars=None)

  For each element in a, return a copy of the string where all characters occurring in the optional argument deletechars are removed, and the remaining characters have been mapped through the given translation table.

  Calls `str.translate` element-wise.

  Parameters:
    a array-like, with np.bytes_ or np.str_ dtype
    table str of length 256
    deletechars str
  Returns:
    out ndarray

      Output array of str or unicode, depending on input type

  See also

  `str.translate`

  Examples

      >>> import numpy as np
      >>> a = np.array(['a1b c', '1bca', 'bca1'])
      >>> table = a[0].maketrans('abc', '123')
      >>> deletechars = ' '
      >>> np.char.translate(a, table, deletechars)
      array(['112 3', '1231', '2311'], dtype='<U5')